A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
sparseGetInfo
ArrayFire Functions | ArrayFire Functions by Category » Linear Algebra » Sparse functions

Returns reference to components of the input sparse array More...

## Functions
AFAPI void | sparseGetInfo (array &values, array &rowIdx, array &colIdx, af::storage &stype, const array in)
AFAPI af_err | af_sparse_get_info (af_array *values, af_array *rowIdx, af_array *colIdx, af_storage *stype, const af_array in)

## Detailed Description

Returns reference to components of the input sparse array

Returns reference to values, row indices, column indices and storage format of an input sparse array

## Function Documentation

## ◆ af_sparse_get_info()

AFAPI af_err af_sparse_get_info | ( | af_array * | values,
|  | af_array * | rowIdx,
|  | af_array * | colIdx,
|  | af_storage * | stype,
|  | const af_array | in )

Parameters

  [out] | values | stores the non-zero elements component of the sparse array
  [out] | rowIdx | stores the row indices component of the sparse array
  [out] | colIdx | stores the column indices component of the sparse array
  [out] | stype | stores the storage type of the sparse array
  [in] | in | is the input sparse matrix

Returns
  AF_SUCCESS if the execution completes properly

## ◆ sparseGetInfo()

AFAPI void sparseGetInfo | ( | array & | values,
|  | array & | rowIdx,
|  | array & | colIdx,
|  | af::storage & | stype,
|  | const array | in )

Parameters

  [out] | values | stores the non-zero elements component of the sparse array
  [out] | rowIdx | stores the row indices component of the sparse array
  [out] | colIdx | stores the column indices component of the sparse array
  [out] | stype | stores the storage type of the sparse array
  [in] | in | is the input sparse matrix